> For the complete documentation index, see [llms.txt](https://docs.pascom.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pascom.net/operations/clients/environment-variables.md).

# Umgebungsvariablen und Kommandozeilenparameter

Hier erhalten Sie eine Auflistung hilfreicher Parameter, die in Verbindung mit der PASCOM App verwendet werden können.

Die PASCOM App unterstützt auf allen Betriebssystemen zahlreiche Kommandozeilen Parameter und reagiert außerdem auf viele Umgebungsvariablen.

Welche Parameter und Umgebungsvariablen von Ihrer Version unterstützt werden können Sie durch den Parameter `--help` abfragen.

**Beispiel**

```
Options:
  --userDir <userDir>                    Set user directory. Via Environment:
                                         Set PC_USERDIR to desired value
  -?, -h, --help                         Displays help on commandline options.
  --help-all                             Displays help, including generic Qt
                                         options.
  --exec                                 Execute a command instead of starting
                                         a client instance. Example: --exec
                                         dial,*104 (Calls your own Voicemailbox)
  --noUpdate                             Disable automatic update. Via
                                         Environment: Set PC_NO_UPDATE to any
                                         value.
  --forceTouchMode                       Show UI like touchscreen is enabled
  --logcat                               Writes the entire client log to
                                         stdout. Optionally takes a path to a
                                         sqlite database. If not, the default of
                                         'current user dir' is used.
  --debugMode                            Debug Mode. Via Environment: Set
                                         PC_DEBUGMODE to any value.
  --pcRendererMode <pcRendererMode>      Change the used rendering backend.
                                         Possible values are: auto, opengl,
                                         openglSoftware, software. On Windows
                                         there are additional modes: D3D11,
                                         D3D11Software. On Windows and Ubuntu
                                         there are additional modes: vulkan,
                                         vulkanSoftware. On MacOS there are
                                         additional modes: metal. Via
                                         Environment: Set PC_RENDERER_MODE to
                                         desired value.
  --rdp                                  Disable all video and/or audio
                                         functionality on this client instance.
                                         Via Environment: Set PC_RDP to any
                                         value
  --disableVideo                         Completely disable video support. Via
                                         Environment: Set PC_DISABLE_VIDEO to
                                         any value
  --proxyServer <proxyServer>            Use the given server as proxy. Via
                                         Environment: Set PC_PROXYSERVER
  --proxyPort <proxyPort>                Use the given port for connecting to
                                         the proxy. Via Environment: Set
                                         PC_PROXYPORT, default: 3128
  --proxyUser <proxyUser>                Use the given user to authenticate
                                         against the proxy. Via Environment: Set
                                         PC_PROXYUSER
  --proxyPassword <proxyPassword>        Use the given password to authenticate
                                         against the proxy. Via Environment: Set
                                         PC_PROXYPASSWORD
  --disableHeadsetSupport                Set to true to disable automatic
                                         headset detection and controls. Via
                                         Environment: Set
                                         PC_HEADSET_SUPPORT_DISABLED to any
                                         value.
  --logSennheiserMessages                Log all communication from and to
                                         Sennheiser HeadSetupApplication. Via
                                         Environment: Set
                                         PC_LOG_SENNHEISER_MESSAGES to any
                                         value.
  --logPolyMessages                      Log all communication from and to Poly
                                         / Plantronics Hub Application. Via
                                         Environment: Set PC_LOG_POLY_MESSAGES
                                         to any value.
  --noAttach                             Set this option to disable automatic
                                         freopen() calls for stdin, stdout,
                                         stderr. Via Environment: Set
                                         PC_NO_ATTACH to any value.
  --limitJournalDays <limitJournalDays>  Limit the amount of locally
                                         synchronized journal entries to the
                                         specified number of days. Via
                                         Environment: Set PC_LIMIT_JOURNAL_DAYS
                                         to the desired value.
  --outlookDebug                         Enables outlook adapter debug logging
  --disableOutlook                       Disable outlook support. Via
                                         Environment: Set PC_DISABLE_OUTLOOK to
                                         any value.
  --importActions <importActions>        Import actions from the specified
                                         file.
  --exportActions <exportActions>        Export actions to the specified file.
  --disableQueueState                    Disable queue state UI on this client.
                                         Via Environment: Set
                                         PC_DISABLE_QUEUE_STATE to any value
  --server <server>                      Override login server for first login.
                                         Via Environment: Set PC_SERVER to
                                         desired value. This value will be
                                         ignored after the first successful
                                         login.
  --minimized                            Do not open the main window on
                                         startup. Via Environment: Set
                                         PC_MINIMIZED to any value
  --datevDebug                           Enables datev adapter debug logging
  --disableDatev                         Disable datev support. Via
                                         Environment: Set PC_DISABLE_DATEV to
                                         any value.
  --useCustomNotificationsAsDefault      Do not use native notifications by
                                         default. Via Environment: Set
                                         PC_USE_CUSTOM_NOTIFICATIONS_AS_DEFAULT
                                         to any value.
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pascom.net/operations/clients/environment-variables.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
